<?php
/********************************************************************************
 * (c)1337 aheadware.com - All rights reserved
 ********************************************************************************/

class TB_Server_Core_CronBase extends Francis_Core_Script {

    protected $logger = NULL;

    public function __construct() {
        $this->logger = TB_Server_Utils_Log::getCron();
    }

    protected function run() {
        die( "Run method not implemented." );
    }

    /**
     * @param $s
     */
    protected function log( $s ) {
        $this->logger->log( $s );
    }
} 